void setColor(uint32_t c){
  for(uint16_t i=0; i<strip.numPixels(); i++) {
          strip.setPixelColor(i, c);
     }
     strip.show();
}

uint32_t colA3f(double val){
    return strip.Color(170*val, 255*val, 48*val);
}

void oneOnN(int n){
  for(uint16_t i=0; i<strip.numPixels(); i++) {
      if (i%n == 0){
          strip.setPixelColor(i, a3f);
     }else{
         strip.setPixelColor(i, 0);
     }
     strip.show();
  }
}

void nOnN(int nBar, double intensity){
     int numLeds = 60 / nBar;
     int numLedsOn = numLeds * intensity;
       for (int i = 0; i<nBar ; i++){
            for (int j = 0 ; j < numLeds ; j++){
                if  ( j < numLedsOn){
                    strip.setPixelColor( int(i*numLeds + j - numLedsOn / 2)%60, a3f);   
                }else{
                    strip.setPixelColor( int(i*numLeds + j - numLedsOn / 2)%60, 0);     
               }
           }
      } 
      strip.show();
}
