void getPot(){
    pot = map(analogRead(potPin), 0, 1023, 0, 100);
}

void getMode(){
    int state = digitalRead(buttonPin);
     if (state != oldState){
        oldState = state;
        if (state == 0){
           mode = (mode + 1)%nModes;
            Serial.println(mode); 
            setColor(0);
       }
     }
     
}

void getVolume() 
{
   unsigned long startMillis= millis();  // Start of sample window
   unsigned int peakToPeak = 0;   // peak-to-peak level
 
   unsigned int signalMax = 0;
   unsigned int signalMin = 1024;
 
   // collect data for 50 mS
   while (millis() - startMillis < sampleWindow)
   {
      sample = analogRead(soundPin);
      if (sample < 1024)  // toss out spurious readings
      {
         if (sample > signalMax)
         {
            signalMax = sample;  // save just the max levels
         }
         else if (sample < signalMin)
         {
            signalMin = sample;  // save just the min levels
         }
      }
   }
   peakToPeak = signalMax - signalMin;  // max - min = peak-peak amplitude
   volume = min(map(peakToPeak, 0, 650, 0, 100), 100); 
}
